import { Channel } from 'amqplib';
import { DefaultOptions } from './DefaultOptions';
export default class FunctionRegistry {
    private static CONN;
    private respondersDir;
    private consumersDir;
    private globalConsumersDir;
    init(rmqConfig: DefaultOptions): Promise<any>;
    initResponder(ch: Channel, config: DefaultOptions): Promise<any>;
    initConsumer(ch: Channel, config: DefaultOptions): Promise<any>;
    initGlobalConsumer(ch: Channel, config: DefaultOptions): Promise<any>;
    getFunctionPaths(): {
        responder: string;
        consumer: string;
    };
}
