export declare class DefaultOptions {
    RPC_TIMEOUT: number;
    RESPONDER_QUEUE_DURABLE: boolean;
    RESPONDER_QUEUE_EXCLUSIVE: boolean;
    RESPONDER_QUEUE_AUTODEL: boolean;
    RESPONDER_CB_QUEUE_DURABLE: boolean;
    RESPONDER_CB_QUEUE_EXCLUSIVE: boolean;
    RESPONDER_CB_QUEUE_AUTODEL: boolean;
    CONSUMER_QUEUE_DURABLE: boolean;
    CONSUMER_QUEUE_EXCLUSIVE: boolean;
    CONSUMER_QUEUE_AUTODEL: boolean;
    CONSUMER_EXCHANGE_AUTODEL: boolean;
    CONSUMER_EXCHANGE_DURABLE: boolean;
    CONSUME_CALL_NOACK: boolean;
    GLOBAL_EXCHANGE_NAME: string;
    URL: string;
    APP_NAME: string;
    /**
     *
     * @param appName Name of the Microservice
     * @param url Rabbitmq server url e.g - amqp://username:psswd@12.34.45.56:5672
     */
    constructor(appName: string, url: string);
}
