"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DefaultOptions = /** @class */ (function () {
    /**
     *
     * @param appName Name of the Microservice
     * @param url Rabbitmq server url e.g - amqp://username:psswd@12.34.45.56:5672
     */
    function DefaultOptions(appName, url) {
        this.RPC_TIMEOUT = 60000;
        this.RESPONDER_QUEUE_DURABLE = true;
        this.RESPONDER_QUEUE_EXCLUSIVE = false;
        this.RESPONDER_QUEUE_AUTODEL = false;
        this.RESPONDER_CB_QUEUE_DURABLE = false;
        this.RESPONDER_CB_QUEUE_EXCLUSIVE = true;
        this.RESPONDER_CB_QUEUE_AUTODEL = true;
        this.CONSUMER_QUEUE_DURABLE = true;
        this.CONSUMER_QUEUE_EXCLUSIVE = false;
        this.CONSUMER_QUEUE_AUTODEL = false;
        this.CONSUMER_EXCHANGE_AUTODEL = false;
        this.CONSUMER_EXCHANGE_DURABLE = true;
        this.CONSUME_CALL_NOACK = false;
        this.GLOBAL_EXCHANGE_NAME = 'ayopop';
        this.APP_NAME = appName;
        this.URL = url;
    }
    return DefaultOptions;
}());
exports.DefaultOptions = DefaultOptions;
