import { IBroker } from './Broker';
import { DefaultOptions } from './DefaultOptions';
export default class RMQBroker implements IBroker {
    static rmqOptions: DefaultOptions;
    private static CONN;
    private static CHAN;
    init(rmqConfig: DefaultOptions): Promise<any>;
    initFunctions(rmqConfig: DefaultOptions): Promise<any>;
    publish(topic: string, message: any, persistMessage?: boolean, expireMessageIn?: string): any;
    subscribe(topic: string, callback: any): Promise<any>;
    rpc(topic: string, message: any, persistMessage?: boolean, expireMessageIn?: string): Promise<any>;
    unsubscribe(topic: string): void;
    onConnectionClose(handleCloseEvent: any): void;
    onConnectionError(handleErrorEvent: any): void;
}
